Package org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics

## Class MultipleContentHandler

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.diagnostics.MultipleContentHandler

All Implemented Interfaces:
  `ContentHandler`

    public class MultipleContentHandler
    extends Object
    implements ContentHandler

Multiple SAX `ContentHandler`.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`MultipleContentHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContentHandler​(ContentHandler contentHandler)`
`void` `characters​(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement​(String uri, String localName, String qName)`
`void` `endPrefixMapping​(String prefix)`
`void` `ignorableWhitespace​(char[] ch, int start, int length)`
`void` `processingInstruction​(String target, String data)`
`void` `setDocumentLocator​(Locator locator)`
`void` `skippedEntity​(String name)`
`void` `startDocument()`
`void` `startElement​(String uri, String localName, String qName, Attributes atts)`
`void` `startPrefixMapping​(String prefix, String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleContentHandler

    public MultipleContentHandler()

### Method Detail

#### setDocumentLocator

    public void setDocumentLocator​(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

#### startDocument

    public void startDocument()
                       throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### startPrefixMapping

    public void startPrefixMapping​(String prefix,
                                   String uri)
                            throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

#### endPrefixMapping

    public void endPrefixMapping​(String prefix)
                          throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement​(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

#### ignorableWhitespace

    public void ignorableWhitespace​(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

#### processingInstruction

    public void processingInstruction​(String target,
                                      String data)
                               throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

#### skippedEntity

    public void skippedEntity​(String name)
                       throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`

#### addContentHandler

    public void addContentHandler​(ContentHandler contentHandler)